## org.apache.lucene.search.spell
Interface Dictionary

All Known Implementing Classes:
  FileDictionary, HighFrequencyDictionary, LuceneDictionary, PlainTextDictionary

    public interface Dictionary

A simple interface representing a Dictionary. A Dictionary here is just a list of words.

Method Summary
`BytesRefIterator` `getWordsIterator()` Return all words present in the dictionary

Method Detail

### getWordsIterator

    BytesRefIterator getWordsIterator()
                                      throws IOException

  Return all words present in the dictionary

  Returns:
    Iterator
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.